Bug 656650 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Please Update Spec File to use %ghost on files in /var/run and /var/lock
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: openvpn (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
http://lists.fedoraproject.org/piperm...
:
Depends On:
Blocks: 827166
  Show dependency treegraph
 
Reported: 2010-11-23 18:37 EST by Lennart Poettering
Modified: 2015-02-17 08:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:30:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2010-11-23 18:37:33 EST
Your package openvpn appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart
Comment 1 Fedora End Of Life 2013-04-03 14:22:15 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 2 Fedora Admin XMLRPC Client 2014-11-10 10:37:06 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2014-11-10 10:51:21 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2015-01-09 11:27:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 08:30:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.